UVI-2021-1001694

Source
https://github.com/cloudsecurityalliance/gsd-database/blob/main/2021/1001xxx/UVI-2021-1001694.json
Published
2021-10-19T16:32:13.407081Z
Modified
2021-10-19T17:00:35.775289Z
Details

libbpf: Fix memory leak in strset

This is an automated ID intended to aid in discovery of potential security vulnerabilities. The actual impact and attack plausibility have not yet been proven. This ID is fixed in Linux Kernel version v5.14.12 by commit 9e8e7504e09831c469b67d6dc11d9a72654bdb8c, it was introduced in version v5.13 by commit 90d76d3ececc74bf43b2a97f178dadfa1e52be54. For more details please see the references link.

References

Affected packages

Linux / Kernel

Kernel

Affected ranges

Type
GIT
Events
Introduced
90d76d3ececc74bf43b2a97f178dadfa1e52be54
Limit
9e8e7504e09831c469b67d6dc11d9a72654bdb8c

Affected versions

v5.*

v5.12
v5.12-rc3
v5.12-rc4
v5.12-rc5
v5.12-rc6
v5.12-rc7
v5.12-rc8
v5.13
v5.13-rc1
v5.13-rc2
v5.13-rc3
v5.13-rc4
v5.13-rc5
v5.13-rc6
v5.13-rc7
v5.14
v5.14-rc1
v5.14-rc2
v5.14-rc3
v5.14-rc4
v5.14-rc5
v5.14-rc6
v5.14-rc7
v5.14.1
v5.14.10
v5.14.11
v5.14.2
v5.14.3
v5.14.4
v5.14.5
v5.14.6
v5.14.7
v5.14.8
v5.14.9